Subject: Re: [PATCH 1/1] git-send-email.perl: support executable scripts for recipient options

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2026 18:35:59 -0700

"D. Ben Knoble" <[email-masked]> writes:

>> What’s the difference between this and `--cc-cmd` and similar? I
>> wouldn’t know, I don’t use these `--*cmd` options.
>
> The only difference I can think of is that we have --cc-cmd, --to-cmd,
> but not --bcc-cmd.
>
> (I use --cc-cmd via config set to git-contacts for git.git so that
> patches mostly CC the right folks, but I typically have to manually
> track and add discussion participants, which is a bit of a pain.)

If we were inventing git-send-email today without existing users at
all, we might have appreciated the simplicity of "it is easy to tell
if the argument to --cc and other options is a name of an executable
file on disk, so do the obvious thing depending", but this came way
too late, I would have to say.